Bug 6854 - /dev/cpu/N/microcode should be /dev/cpu/microcode
: /dev/cpu/N/microcode should be /dev/cpu/microcode
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/MAKEDEV)
: unstable
: all Linux
: P2 normal
Assigned To:
:
: http://www.linux-mag.com/content/view...
:
:
:
  Show dependency tree
 
Reported: 2005-05-16 13:43 by
Modified: 2006-12-17 23:19 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2005-05-16 13:43:36
В пакете MAKEDEV (3.3.1-alt13.1) создаются устройства связи с драйвером
microcode для каждого процессора. При этом в комментариях (в файле
makedev.d/redhat) содержится странное утверждение:

# Kernel team prefers each CPU to have its own microcode device node.
c $ROOT                 10 184  0  16 cpu/%d/microcode

Однако даже в рядом лежащем devices.txt (копия файла идущего с исходниками
ядер) явно указана одна точка входа в драйвер:

    184 = /dev/cpu/microcode CPU microcode update interface

Также и чтение объяснений автора -
http://www.ussg.iu.edu/hypermail/linux/kernel/0409.1/2537.html
наряду с его описанием логики работы драйвера
http://www.linux-mag.com/content/view/710/2229/
не оставляет сомнений в том, что драйвер сам занимается загрузкой
микрокода во все процессоры и per-cpu device nodes просто не нужны.

Отсутствие же /dev/cpu/microcode приводит к неработоспособности непатченого
microcode_ctl, расчитывающего именно на этот путь к устройству.
------- Comment #1 From 2006-09-27 13:01:35 -------
Так что -- делаем
c $ROOT                 10 184  1  1 cpu/microcode
?
------- Comment #2 From 2006-10-12 14:43:10 -------
Ещё заодно:

По стандарту (Documentation/devices.txt) положено /dev/ttyACM0; при
использовании udev файл устройства будет именно в этом месте.

(vsu@)
------- Comment #3 From 2006-10-29 16:37:11 -------
fixed in 3.3.1-alt15